function x = myjor(A,b,x0,maxit,omega)
% JOR method for the solution of a linear system
% Inputs:    A - system matrix
%            b - right hand side
%           x0 - initial guess
%      maxiter - method performs maxiter iteratons         
% 
% Outputs:   x - solution vector

% JOR matrices
%##########################################################################
  D = diag(diag(A));
  invD = inv(D);
  I = speye(size(A));
  
  MJOR = I - omega*invD*A;
  NJOR = omega*invD*b;
%##########################################################################  

  x = x0; 
  for cnt = 1:maxit    
% #########################################################################      
    x =  MJOR*x + NJOR; % JOR iteration
% #########################################################################          
  end