  function plotres(res1,name1,varargin)
% Call plotres(res1,'name1',res2,'name2',...)
% Inputs:
%   res1, res2, ... residual vectors
%   name1, name2, ... method names
  
  color = {'g','r','c','m','y','k'};
  
  if mod(nargin,2)~=0
    error ('Number of inputs must be a multiple of two');
  end
  if (nargin > 14)
    error('Too many input arguments. At most 7 methods allowed');  
  end

  fprintf([' ',name1,' method:\n'])
  fprintf('  Iterations: %i\n',length(res1)-1);
  fprintf('  Residual:   %e\n\n',res1(end));
  
  figure
  semilogy(0:length(res1)-1,res1,'b','LineWidth',2)
  
  for cnt = 1:2:(nargin-2)-1    
    fprintf([' ',varargin{cnt+1},' method:\n'])
    fprintf('  Iterations: %i\n',length(varargin{cnt})-1);
    fprintf('  Residual:   %e\n\n',varargin{cnt}(end));
  
    hold on
    semilogy(0:length(varargin{cnt})-1,varargin{cnt}, ...
             'Color',color{(cnt-1)/2+1},'LineWidth',2)
  end

  str = cell(1,nargin/2);
  str{1} = name1;
  for i=2:1+(nargin-2)/2
    str{i} = varargin{2*i-2};
  end
  
  legend(str)
  title('Residuals','FontSize',12,'FontWeight','bold')
  xlabel('Iterations','FontSize',12)
  ylabel('||b-Ax||_\infty','FontSize',12)
  axis tight